How to install software or upgrade from old unsupported release?

http://askubuntu.com/questions/91815/how-to-install-software-or-upgrade-from-old-unsupported-release